<?php
include 'connect.php';

$user_id = $_POST['user_id'];
$product_id = $_POST['product_id'];

// Check if the entry already exists
$sql_check = "SELECT * FROM favorite_products WHERE user_id = ? AND product_id = ?";
$stmt_check = $conn->prepare($sql_check);
$stmt_check->bind_param("ii", $user_id, $product_id);
$stmt_check->execute();
$result = $stmt_check->get_result();

if ($result->num_rows > 0) {
    
    // Entry already exists
    $sql_delete = "DELETE FROM favorite_products WHERE user_id = ? AND product_id = ?";
    $stmt_delete = $conn->prepare($sql_delete);
    $stmt_delete->bind_param("ii", $user_id, $product_id);
    $stmt_delete->execute();
    $stmt_delete->close();

    echo json_encode(["status" => "deleted"]);
    
} else {
    // Insert new entry
    $sql_insert = "INSERT INTO favorite_products (user_id, product_id) VALUES (?, ?)";
    $stmt_insert = $conn->prepare($sql_insert);
    $stmt_insert->bind_param("ii", $user_id, $product_id);

    if ($stmt_insert->execute()) {
        echo json_encode(["status" => "success"]);
    } else {
        echo json_encode(["status" => "error"]);
    }

    $stmt_insert->close();
}

$stmt_check->close();
$conn->close();
?>
