<?php
header('Content-Type: application/json');
include 'connect.php';

if (isset($_GET['user_id'])) {
    $user_id = $_GET['user_id'];

    $sql = "SELECT p.* FROM products p 
            JOIN favorite_products fp ON p.id = fp.product_id 
            WHERE fp.user_id = ?";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("i", $user_id);
    $stmt->execute();
    $result = $stmt->get_result();

    $favorites = [];
    while ($row = $result->fetch_assoc()) {
        $favorites[] = $row;
    }

    echo json_encode($favorites);

    $stmt->close();
} else {
    echo json_encode(["status" => "error", "message" => "User ID not provided"]);
}

$conn->close();
?>
