<?php
header('Content-Type: application/json');
include 'connect.php';
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $input = json_decode(file_get_contents('php://input'), true);
    $email = $input['email'];

    // Check if email exists
    $stmt = $conn->prepare('SELECT * FROM users WHERE email = ?');
    $stmt->bind_param('s', $email);
    $stmt->execute();
    $result = $stmt->get_result();

    if ($result->num_rows > 0) {
        // Generate a verification code
        $verification_code = rand(100000, 999999); // 6-digit code
        $expiry = date('Y-m-d H:i:s', strtotime('+1 hour'));

        // Insert or update verification code in the password_resets table
        $stmt = $conn->prepare('INSERT INTO password_resets (email, token, expiry) VALUES (?, ?, ?) ON DUPLICATE KEY UPDATE token = VALUES(token), expiry = VALUES(expiry)');
        $stmt->bind_param('sss', $email, $verification_code, $expiry);
        $stmt->execute();

        // Send verification code email
        $subject = "Your Verification Code";
        $message = "Your verification code is: $verification_code";
        $headers = "From: arslanm0909@gmail.com\r\n";
        if (mail($email, $subject, $message, $headers)) {
            echo json_encode(['status' => 'success', 'message' => 'Verification code sent']);
        } else {
            echo json_encode(['status' => 'error', 'message' => 'Failed to send email']);
        }
    } else {
        echo json_encode(['status' => 'error', 'message' => 'Email not found']);
    }

    $stmt->close();
    $conn->close();
} else {
    echo json_encode(['status' => 'error', 'message' => 'Invalid request method']);
}
?>
