<?php

include 'connect.php';
header('Content-Type: application/json');

if ($_SERVER['REQUEST_METHOD'] == 'POST') {

    $input = json_decode(file_get_contents('php://input'), true);
    $email = $input['email'];
    $password = $input['password'];

    // Query to check the user's credentials
    $stmt = $conn->prepare('SELECT * FROM users WHERE email = ?');
    $stmt->bind_param('s', $email);
    $stmt->execute();
    $result = $stmt->get_result();

    if ($result->num_rows > 0) {
    
        $user = $result->fetch_assoc();
        if (password_verify($password, $user['password'])) {
            $fullname=$user['first_name'] . ' ' . $user['last_name'];
            echo json_encode(['status' => 'success', 'message' => 'Login successful', 'role' => $user['role'],'id' => $user['id'],'fname' => $user['first_name'],'lname' => $user['last_name'],'image' => $user['image']]);
        } else {
            echo json_encode(['status' => 'error', 'message' => 'Invalid password']);
        }
    } else {
        echo json_encode(['status' => 'error', 'message' => 'User not found']);
    }

    $stmt->close();
    $conn->close();
    
} else {
    echo json_encode(['status' => 'error', 'message' => 'Invalid request method']);
}
?>
