<?php
header('Content-Type: application/json');
include 'connect.php';
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $input = json_decode(file_get_contents('php://input'), true);
    $email = $input['email'];
    $newPassword = $input['new_password'];
    $confirmPassword = $input['confirm_password'];

    // Check if passwords match
    if ($newPassword !== $confirmPassword) {
        echo json_encode(['status' => 'error', 'message' => 'Passwords do not match']);
        exit();
    }


    // Hash the new password
    $hashedPassword = password_hash($newPassword, PASSWORD_DEFAULT);

    // Update the user's password
    $stmt = $conn->prepare('UPDATE users SET password = ? WHERE email = ?');
    $stmt->bind_param('ss', $hashedPassword, $email);
    if ($stmt->execute()) {
        echo json_encode(['status' => 'success', 'message' => 'Password reset successful']);
    } else {
        echo json_encode(['status' => 'error', 'message' => 'Failed to reset password']);
    }

    $stmt->close();
    $conn->close();
} else {
    echo json_encode(['status' => 'error', 'message' => 'Invalid request method']);
}
?>
