<?php

header('Content-Type: application/json');
include 'connect.php';

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    
    $input = json_decode(file_get_contents('php://input'), true);
    $email = $input['email'];
    $code = $input['code'];


    // Check if the code is valid
    $stmt = $conn->prepare('SELECT * FROM password_resets WHERE email = ? AND token = ? AND expiry > NOW()');
    $stmt->bind_param('ss', $email, $code);
    $stmt->execute();
    $result = $stmt->get_result();

    if ($result->num_rows > 0) {
        echo json_encode(['status' => 'success', 'message' => 'Verification code is valid']);
    } else {
        echo json_encode(['status' => 'error', 'message' => 'Invalid or expired verification code']);
    }

    $stmt->close();
    $conn->close();
} else {
    echo json_encode(['status' => 'error', 'message' => 'Invalid request method']);
}


?>
